## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.InternalSettingDelegateSingleEObject

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
          org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObject

All Implemented Interfaces:
  EStructuralFeature.Internal.SettingDelegate

Direct Known Subclasses:
  EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainment, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverse

Enclosing class:
  EStructuralFeatureImpl

    public static class EStructuralFeatureImpl.InternalSettingDelegateSingleEObject

extends EStructuralFeatureImpl.InternalSettingDelegateSingle

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.SettingDelegate
`EStructuralFeature.Internal.SettingDelegate.Factory`

Field Summary
`protected EClass` `eClass`
`protected EReference` `inverseFeature`

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`feature, NIL`

Constructor Summary
`EStructuralFeatureImpl.InternalSettingDelegateSingleEObject(EClass eClass, EStructuralFeature feature)`
`EStructuralFeatureImpl.InternalSettingDelegateSingleEObject(EClass eClass, EStructuralFeature feature, EReference inverseFeature)`

Method Summary
`java.lang.Object` `dynamicGet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, boolean resolve, boolean coreType)` Returns the value of the feature of this owner.
`NotificationChain` `dynamicInverseAdd(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, InternalEObject otherEnd, NotificationChain notifications)` Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.
`NotificationChain` `dynamicInverseRemove(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, InternalEObject otherEnd, NotificationChain notifications)` Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.
`boolean` `dynamicIsSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Returns whether the feature of the owner is considered to be set.
`void` `dynamicSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, java.lang.Object newValue)` Sets the value of the given feature of the owner to the new value.
`void` `dynamicUnset(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Unsets the value of the given feature of the owner.
`protected boolean` `hasInverse()`
`protected boolean` `isContainment()`
`protected boolean` `isResolveProxies()`
`protected boolean` `isUnsettable()`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`dynamicSetting`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eClass

    protected EClass eClass

### inverseFeature

    protected EReference inverseFeature

Constructor Detail

### EStructuralFeatureImpl.InternalSettingDelegateSingleEObject

    public EStructuralFeatureImpl.InternalSettingDelegateSingleEObject(EClass eClass,
                                                                       EStructuralFeature feature)

### EStructuralFeatureImpl.InternalSettingDelegateSingleEObject

    public EStructuralFeatureImpl.InternalSettingDelegateSingleEObject(EClass eClass,
                                                                       EStructuralFeature feature,
                                                                       EReference inverseFeature)

Method Detail

### isUnsettable

    protected boolean isUnsettable()

### hasInverse

    protected boolean hasInverse()

### isContainment

    protected boolean isContainment()

### isResolveProxies

    protected boolean isResolveProxies()

### dynamicGet

    public java.lang.Object dynamicGet(InternalEObject owner,
                                       EStructuralFeature.Internal.DynamicValueHolder settings,
                                       int index,
                                       boolean resolve,
                                       boolean coreType)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns the value of the feature of this owner.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `resolve` - whether to resolve.
    `coreType` - return the core EMF object if value is a non-EMF wrapper/view.
  Returns:
    the value of the feature of this owner.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### dynamicSet

    public void dynamicSet(InternalEObject owner,
                           EStructuralFeature.Internal.DynamicValueHolder settings,
                           int index,
                           java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Sets the value of the given feature of the owner to the new value.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `newValue` - the new value for the feature.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### dynamicUnset

    public void dynamicUnset(InternalEObject owner,
                             EStructuralFeature.Internal.DynamicValueHolder settings,
                             int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Unsets the value of the given feature of the owner.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### dynamicIsSet

    public boolean dynamicIsSet(InternalEObject owner,
                                EStructuralFeature.Internal.DynamicValueHolder settings,
                                int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns whether the feature of the owner is considered to be set.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  Returns:
    whether the feature of the owner is considered to be set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### dynamicInverseAdd

    public NotificationChain dynamicInverseAdd(InternalEObject owner,
                                               EStructuralFeature.Internal.DynamicValueHolder settings,
                                               int index,
                                               InternalEObject otherEnd,
                                               NotificationChain notifications)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.

  Specified by:
    `dynamicInverseAdd` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicInverseAdd` in class `EStructuralFeatureImpl.InternalSettingDelegateSingle`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse add.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseAdd(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

### dynamicInverseRemove

    public NotificationChain dynamicInverseRemove(InternalEObject owner,
                                                  EStructuralFeature.Internal.DynamicValueHolder settings,
                                                  int index,
                                                  InternalEObject otherEnd,
                                                  NotificationChain notifications)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.

  Specified by:
    `dynamicInverseRemove` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicInverseRemove` in class `EStructuralFeatureImpl.InternalSettingDelegateSingle`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse remove.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseRemove(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.